package javabook.ch08;
import java.awt.*;
import java.awt.event.*;

public class CardLayoutExam extends Frame {
    // CardLayout ü 
    CardLayout card = new CardLayout();
    Panel panel[] = new Panel[5]; // Panel ü ټ  
    Color color[] = {Color.red, Color.blue, Color.yellow, Color.green,Color.cyan}; // Color 迭 ټ  

    public CardLayoutExam(String str) {
        super(str);
        setLayout(card);
        // 콺 ڵ ü 
        MouseHandle mouse = new MouseHandle();

        for(int i = 0; i < 5; i++) {
            panel[i] = new Panel();           // Panel ü  г  
            panel[i].setBackground(color[i]);
            panel[i].addMouseListener(mouse); //  Panel ü 콺 ڵ 
            add((new Integer(i)).toString(), panel[i]); // г ӿ 
        }
        setSize(200, 200);
        setVisible(true);
    }
    // MouseAdapter Ŭ ӹ MouseHandle Ŭ 
    public class MouseHandle extends MouseAdapter {
        public void mouseClicked(MouseEvent e) { // mouseClicked ޼ҵ ̵
            card.next(CardLayoutExam.this); // 콺 Ŭ ߻ϸ  Panel ӿ ǥ
        }
    }

    public static void main(String[] args) {
        new CardLayoutExam("CardLayout ");
    }

}